#ifndef __DIALUP__
#define __DIALUP__

#define PPP_PEERS "/etc/ppp/peers/kwlan"

#include <qstring.h>

class QStringList;



struct dialupData
{
    dialupData(): connectionType(ANALOG),
    noipdefault(TRUE),
    defaultroute(TRUE),
    replacedefaultroute(TRUE),
    noauth(TRUE),
    persist(TRUE),
    usepeerdns(TRUE),
    scriptAfterConnect(FALSE),
    scriptBeforeDisconnectRoot(FALSE),
    hidepassword(TRUE)
    {}
    enum type {
        PPPOE,
        ISDN,
        ANALOG
    };
    type  connectionType;
    bool noipdefault;
    bool defaultroute;
    bool replacedefaultroute;
    bool noauth;
    bool  persist;
    bool usepeerdns;
    QString interface;
    QString password;
    QString user;
    QString number;
    QString scriptBeforeDisconnect;
    QString scriptAfterConnect;
    bool scriptBeforeDisconnectRoot;
    bool scriptAfterConnectRoot;
    bool hidepassword;
};



QStringList listDialupNetworks();

#endif
