

#include "kwlanmainsettingsdlg.h"
#include "configuration.h"

#include "qspinbox.h"
#include "qcheckbox.h"

KWlanMainSettingsDlg::KWlanMainSettingsDlg(QWidget* parent, const char* name, bool modal, WFlags fl)
: KWlanMainSettings(parent,name, modal,fl)
{
    cbMinimized->setChecked(mainConfiguration().readStartMinimized());
    sbPasswordTime->setValue(PasswordCache().m_pwexpire);
}

KWlanMainSettingsDlg::~KWlanMainSettingsDlg()
{
}


/*$SPECIALIZATION$*/
void KWlanMainSettingsDlg::Cancel()
{
    QWidget::close(true);
}

void KWlanMainSettingsDlg::Ok()
{
    mainConfiguration().writeStartMinimized(cbMinimized->isChecked());
    PasswordCache().m_pwexpire = sbPasswordTime->value();
    PasswordCache().writePasswordExpire();
    QWidget::close(true);

}



#include "kwlanmainsettingsdlg.moc"

